cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

find_package(gz-gui9 ${gz-gui_FIND_VERSION} REQUIRED COMPONENTS ${gz-gui_FIND_COMPONENTS})

# Set up the core library and add it to the list of all components
add_library(gz-gui::gz-gui ALIAS gz-gui9::gz-gui9)
add_library(gz-gui::core ALIAS gz-gui9::gz-gui9)

# Retrieve the list of components
get_target_property(components gz-gui9::requested INTERFACE_LINK_LIBRARIES)

foreach(component ${components})
  # Skip the core library
  if(${component} STREQUAL gz-gui9::gz-gui9)
    continue()
  endif()

  # Change "gz-libN::gz-libN-component" to "component"
  string(REGEX REPLACE "gz-gui9::gz-gui9-" "" component_name ${component})
  add_library(gz-gui::${component_name} ALIAS ${component})
endforeach()

# Add a root gz-lib alias
add_library(gz-gui ALIAS gz-gui9::gz-gui9)
